=== debian/changelog ===
starpu (1.3.8+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Remove unused license definitions for GPL-3, QWT.
  * Update standards version to 4.5.1, no changes needed.
  * Remove Section on libstarpu-1.3-7, Section on libstarpufft-1.3-2, Section on
    libstarpumpi-1.3-3, Section on libsocl-1.3-0, Section on libstarpurm-1.3-2
    that duplicate source.

  [ Samuel Thibault ]
  * patches/no_src_build_dir: Really avoid any STARPU_SRC/BUILD_DIR
    definition.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Sep 2021 18:34:24 +0200

starpu (1.3.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * patches/no_src_dir: Avoid leaking the source directory in installed files.
  * patches/no_src_build_dir: Avoid leaking the source/build directory in
    debugging symbols of installed files.
  * rules: Make sure to undefine STARPU_DEVEL.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Aug 2021 21:51:53 +0200

starpu (1.3.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename package libstarpu-1.3-5 to libstarpu-1.3-7 according to soname
    bump.
    - Rename package libstarpurm-1.3-1 to libstarpurm-1.3-2 according to soname
    bump.
    - patches/socl_link: Upstreamed.
    - patches/fortify: Upstreamed.
  * patches/fortify: Fix setting fortify build flag.
  * control: Set Rules-Requires-Root to no.
  * libstarpu-contrib-1.3-5.lintian-overrides: Fix override.
  * watch: Drop gforge URL.
  * gbp.conf: Use filter to clean upstream tarball.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Aug 2021 18:28:45 +0200
