=== debian/control ===
Source: starpu
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13),
	pkg-config,
	libnuma-dev [linux-any],
	libglpk-dev,
	mpi-default-dev,
	libgl1-mesa-dev | libgl-dev,
	libglu1-mesa-dev | libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libleveldb-dev,
	libhdf5-dev,
	valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
#	guile-2.2,
	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
	gfortran,
	help2man, doxygen,
#	nvidia-cuda-toolkit-gcc (>= 10.1),
Rules-Requires-Root: no
Standards-Version: 4.5.1
Section: libs
Homepage: https://starpu.gforge.inria.fr/
Vcs-Git: https://salsa.debian.org/debian/starpu.git
Vcs-Browser: https://salsa.debian.org/debian/starpu

Package: libstarpu-dev
Section: libdevel
Architecture: any
Depends: libstarpu-1.3-7 (= ${binary:Version}) | libstarpu-any-1.3-7, libstarpufft-1.3-2 (= ${binary:Version}) | libstarpu-anyfft-1.3-2, libstarpumpi-1.3-3 (= ${binary:Version}) | libstarpu-anympi-1.3-3, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, libstarpurm-1.3-2 (= ${binary:Version}) | libstarpu-anyrm-1.3-2, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
Conflicts: libstarpu-contrib-dev
Provides: libstarpu-any-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.
# This "contrib" version is built against CUDA.

Package: libstarpu-1.3-7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contrib-1.3-7
Provides: libstarpu-any-1.3-7
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library
# This "contrib" version is built against CUDA.

Package: libstarpufft-1.3-2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribfft-1.3-2
Provides: libstarpu-anyfft-1.3-2
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.
# This "contrib" version is built against CUDA.

Package: libstarpumpi-1.3-3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribmpi-1.3-3
Provides: libstarpu-anympi-1.3-3
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.
# This "contrib" version is built against CUDA.

Package: starpu-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-contrib-tools
Provides: starpu-any-tools
Recommends: python3
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.
# This "contrib" version is built against CUDA.

Package: starpu-examples
Section: science
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-contrib-examples
Provides: starpu-any-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.
# This "contrib" version is built against CUDA.

Package: libsocl-1.3-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsocl-contrib-1.3-0
Provides: libsocl-any-1.3-0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains an OpenCL-compatible library interface to StarPU.
# This "contrib" version is built against CUDA.

Package: libstarpurm-1.3-2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribrm-1.3-2
Provides: libstarpu-anyrm-1.3-2
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the resource management library.
# This "contrib" version is built against CUDA.
