=== debian/changelog ===
starpu (1.3.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Control: Rename libstarpu-1.3-7 to libstarpu-1.3-8 according to soname
    bump.
    - patches/no_src_build_dir: Upstreamed.
    - patches/no_src_dir: Upstreamed.
    - copyright: Update.
  * control, copyright: Fix upstream URL.
  * control: Make starpu-tools' recommends on python3 :any.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Oct 2021 23:46:27 +0200
