=== debian/control ===
--- 
+++ 
@@ -24,14 +24,14 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Section: libs
-Homepage: https://starpu.gforge.inria.fr/
+Homepage: https://starpu.gitlabpages.inria.fr/
 Vcs-Git: https://salsa.debian.org/debian/starpu.git
 Vcs-Browser: https://salsa.debian.org/debian/starpu
 
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.3-7 (= ${binary:Version}) | libstarpu-any-1.3-7, libstarpufft-1.3-2 (= ${binary:Version}) | libstarpu-anyfft-1.3-2, libstarpumpi-1.3-3 (= ${binary:Version}) | libstarpu-anympi-1.3-3, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, libstarpurm-1.3-2 (= ${binary:Version}) | libstarpu-anyrm-1.3-2, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-1.3-8 (= ${binary:Version}) | libstarpu-any-1.3-8, libstarpufft-1.3-2 (= ${binary:Version}) | libstarpu-anyfft-1.3-2, libstarpumpi-1.3-3 (= ${binary:Version}) | libstarpu-anympi-1.3-3, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, libstarpurm-1.3-2 (= ${binary:Version}) | libstarpu-anyrm-1.3-2, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,12 +46,12 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.3-7
+Package: libstarpu-1.3-8
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.3-7
-Provides: libstarpu-any-1.3-7
+Conflicts: libstarpu-contrib-1.3-8
+Provides: libstarpu-any-1.3-8
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -106,7 +106,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-contrib-tools
 Provides: starpu-any-tools
-Recommends: python3
+Recommends: python3:any
 Description: Task scheduler for heterogeneous multicore machines - tools
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
