## starpu 1.3.10+dfsg

=== min-dgels/Makefile ===
CC = gcc
LD = /usr/bin/ld -m elf_x86_64
srcdir = .

CLAPACK=base
ADDITIONAL=additional

all:
	mkdir -p build
	[ -d "$(CLAPACK)" ] || ( cp -a $(srcdir)/$(CLAPACK) . ; chmod -R +rwX $(CLAPACK) )
	cd $(CLAPACK) && $(MAKE) blaslib CC="$(CC)" LD="$(LD)"
	cd $(CLAPACK) && $(MAKE) f2clib CC="$(CC)" LD="$(LD)"
	[ -d "$(ADDITIONAL)" ] || ( cp -a $(srcdir)/$(ADDITIONAL) . ; chmod -R +rwX $(ADDITIONAL) )
	cd $(ADDITIONAL) && $(CC) -c -fPIC *.c && ar cr ../build/minlibdgels.a *.o && ranlib ../build/minlibdgels.a

install:
installcheck:
uninstall:
distuninstallcheck:
dvi:

clean:
	-cd $(CLAPACK) && $(MAKE) clean && rm -rf *~
	-cd $(ADDITIONAL) && rm -rf *.o *~
	rm -rf build *~

distclean: clean
	[ -f Makefile.in ] || rm -fr $(CLAPACK) $(ADDITIONAL)

# This part is needed by StarPU

STARPU_SRCDIR = .

distdir:
	cp -fRp $(STARPU_SRCDIR)/* $(distdir)
	cd $(distdir) && make -f Makefile.in clean

check:
	echo "No checks are implemented for min-dgels"
recheck:
	echo "No checks are implemented for min-dgels"

showfailed:
	@:

showcheck: check

showsuite: check
