## starpu 1.4.1+dfsg

=== debian/changelog ===
starpu (1.4.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Jun 2023 14:00:04 +0200

starpu (1.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename library packages according to soname bumps.
    - Closes: Bug#1036683.
    - patches/atomic: Upstreamed.
    - patches/atomic2: Upstreamed.
    - patches/atomic3: Upstreamed.
    - patches/hurd_max: Upstreamed.
    - patches/llvm-openmp: Upstreamed.
    - patches/openmp_llvm_variant: Upstreamed.
    - patches/socl-atomic: Upstreamed.
    - patches/starpurm-hwloc: Upstreamed.
    - patches/tasks_size_overhead_cpustep: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 May 2023 18:18:07 +0200

starpu (1.4.0+dfsg-4) experimental; urgency=medium

  * control: Don't build-dep on clang on archs which don't have libomp-dev.
  * libstarpu-openmp-llvm-1.4-1: Don't build package on archs which don't have
    libomp-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Apr 2023 11:09:10 +0200

starpu (1.4.0+dfsg-3) experimental; urgency=medium

  * patches/hurd_max: Fix build issue.
  * control: Restraint libpapi-dev build-dep on archs where it actually
    builds. Add pajeng build-dep.
  * rules: Do not call chrpath on archs where openmp-llvm is not available.
  * patches/socl-atomic: Make socl use starpu macros for atomic operations.
  * patches/atomic, atomic2, atomic3: Fix 64bit atomics on some 32bit archs.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Apr 2023 18:42:10 +0200

starpu (1.4.0+dfsg-2) experimental; urgency=medium

  * rules: Fix multiarch path.
  * control: Build-dep on libpapi-dev on linux-any only.
  * control, rules: Enable openmp-llvm on archs that have libomp-dev only.
  * patches/openmp_llvm_variant: Fix LLVM-based openmp support.
  * tests/examples: Avoid running meant-to-deadlock test.
  * patches/tasks_size_overhead_cpustep: Fix autopkgtest hanging.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Apr 2023 17:53:33 +0200

starpu (1.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename packages according to soname bump.
    - New libstarpu-openmp-llvm-1.4-1 package for new library.
    - control: Complete migration from libgl1-mesa-dev to libgl-dev and from
    libglu1-mesa-dev to libglu-dev.
    - control: Add chrpath, libfxt-dev, libpapi-dev, python3-all-dev,
    libpython3-all-dev, python3-joblib, clang, libomp-dev build-deps.
    - rules: --enable-tcpip-master-slave, --enable-openmp-llvm.
    - docs: README was renamed to README.md
    - libstarpu-1.3-9.install: Install loadable libraries.
    - not-installed: Do not install the starpu module, starpu_config.cfg, and
    .a/.la libs.
    - patches/llvm-openmp: Fix llvm-openmp build.
    - patches/starpurm-hwloc: Add missing link against hwloc.
    - rules: drop rpath from llvm OMP examples.
    - gbp.conf: Update filter.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Mar 2023 11:33:08 +0200
