=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 13),
+	chrpath,
 	pkg-config,
 	libnuma-dev [linux-any],
 	libglpk-dev,
 	mpi-default-dev,
-	libgl1-mesa-dev | libgl-dev,
-	libglu1-mesa-dev | libglu-dev,
+	libgl-dev,
+	libglu-dev,
 	freeglut3-dev,
 	libx11-dev,
 	libblas-dev,
@@ -15,6 +16,12 @@
 	libhwloc-dev,
 	libleveldb-dev,
 	libhdf5-dev,
+	libfxt-dev, pajeng,
+	libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32],
+	python3-dev,
+	libpython3-dev, python3-joblib,
+	clang      [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
+	libomp-dev [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
 	valgrind-if-available,
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
@@ -31,7 +38,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.3-9 (= ${binary:Version}) | libstarpu-any-1.3-9, libstarpufft-1.3-2 (= ${binary:Version}) | libstarpu-anyfft-1.3-2, libstarpumpi-1.3-3 (= ${binary:Version}) | libstarpu-anympi-1.3-3, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, libstarpurm-1.3-2 (= ${binary:Version}) | libstarpu-anyrm-1.3-2, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-1.4-2 (= ${binary:Version}) | libstarpu-any-1.4-2, libstarpu-openmp-llvm-1.4-1 (= ${binary:Version}) | libstarpu-any-openmp-llvm-1.4-1, libstarpufft-1.4-1 (= ${binary:Version}) | libstarpu-anyfft-1.4-1, libstarpumpi-1.4-2 (= ${binary:Version}) | libstarpu-anympi-1.4-2, libsocl-1.4-1 (= ${binary:Version}) | libsocl-any-1.4-1, libstarpurm-1.4-1 (= ${binary:Version}) | libstarpu-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,12 +53,12 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.3-9
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.3-9
-Provides: libstarpu-any-1.3-9
+Package: libstarpu-1.4-2
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contrib-1.4-2
+Provides: libstarpu-any-1.4-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -64,12 +71,30 @@
  This package contains the main StarPU library
 # This "contrib" version is built against CUDA.
 
-Package: libstarpufft-1.3-2
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribfft-1.3-2
-Provides: libstarpu-anyfft-1.3-2
+Package: libstarpu-openmp-llvm-1.4-1
+Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contrib-openmp-llvm-1.4-1
+Provides: libstarpu-any-openmp-llvm-1.4-1
+Description: Task scheduler for heterogeneous multicore machines
+ StarPU is a runtime system that offers support for heterogeneous
+ multicore machines. While many efforts are devoted to design efficient
+ computation kernels for those architectures (e.g. to implement BLAS
+ kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+ offloading such kernels (and implementing data coherency across
+ the machine), but it also makes sure the kernels are executed as
+ efficiently as possible.
+ .
+ This package contains the runtime support for LLVM OpenMP.
+# This "contrib" version is built against CUDA.
+
+Package: libstarpufft-1.4-1
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contribfft-1.4-1
+Provides: libstarpu-anyfft-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -82,12 +107,12 @@
  This package contains a hybrid CPU+GPU FFT library.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpumpi-1.3-3
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.3-3
-Provides: libstarpu-anympi-1.3-3
+Package: libstarpumpi-1.4-2
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contribmpi-1.4-2
+Provides: libstarpu-anympi-1.4-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -139,12 +164,12 @@
  This package contains application examples.
 # This "contrib" version is built against CUDA.
 
-Package: libsocl-1.3-0
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsocl-contrib-1.3-0
-Provides: libsocl-any-1.3-0
+Package: libsocl-1.4-1
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsocl-contrib-1.4-1
+Provides: libsocl-any-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -157,12 +182,12 @@
  This package contains an OpenCL-compatible library interface to StarPU.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpurm-1.3-2
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribrm-1.3-2
-Provides: libstarpu-anyrm-1.3-2
+Package: libstarpurm-1.4-1
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contribrm-1.4-1
+Provides: libstarpu-anyrm-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
