## starpu 1.4.2+dfsg

=== debian/changelog ===
starpu (1.4.2+dfsg-2) unstable; urgency=medium

  * Move libdummy_sched, libmy_dmda and libprofiling_tool into starpu-examples,
    to allow different libstarpu versions be co-installable.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Nov 2023 12:03:52 +0100

starpu (1.4.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.4-2 and libstarpumpi-1.4-2 according to soname bump.
    - patches/parallel_workers: Upstreamed.
    - patches/eztrace: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Nov 2023 10:07:57 +0100

starpu (1.4.1+dfsg-8) unstable; urgency=medium

  * control: Make libstarpu-dev dep on libpapi-dev only where needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Aug 2023 11:43:40 +0200

starpu (1.4.1+dfsg-7) unstable; urgency=medium

  * patches/eztrace: Let eztrace trace job start/end.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Aug 2023 11:56:08 +0200

starpu (1.4.1+dfsg-6) unstable; urgency=medium

  * control: Make libstarpu-dev dep on libpapi-dev.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Aug 2023 18:49:15 +0200

starpu (1.4.1+dfsg-5) unstable; urgency=medium

  * patches/parallel_workers: Fix parallel_workers test on machines with a lot
    of CPU sockets.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Aug 2023 21:43:52 +0200

starpu (1.4.1+dfsg-4) unstable; urgency=medium

  * rules: Also hardcode the maximum number of cpus and NUMA nodes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Jul 2023 16:07:57 +0200

starpu (1.4.1+dfsg-3) unstable; urgency=medium

  * control: Make libstarpu depend on libstarpu-openmp-llvm only on archs
    which have it built.
  * rules: Hardcode the maximum number of nodes.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Jul 2023 12:34:11 +0200
