=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.4-2 (= ${binary:Version}) | libstarpu-any-1.4-2, libstarpu-openmp-llvm-1.4-1 (= ${binary:Version}) | libstarpu-any-openmp-llvm-1.4-1, libstarpufft-1.4-1 (= ${binary:Version}) | libstarpu-anyfft-1.4-1, libstarpumpi-1.4-2 (= ${binary:Version}) | libstarpu-anympi-1.4-2, libsocl-1.4-1 (= ${binary:Version}) | libsocl-any-1.4-1, libstarpurm-1.4-1 (= ${binary:Version}) | libstarpu-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-1.4-3 (= ${binary:Version}) | libstarpu-any-1.4-3, libstarpu-openmp-llvm-1.4-1 (= ${binary:Version}) [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64], libstarpufft-1.4-1 (= ${binary:Version}) | libstarpu-anyfft-1.4-1, libstarpumpi-1.4-3 (= ${binary:Version}) | libstarpu-anympi-1.4-3, libsocl-1.4-1 (= ${binary:Version}) | libsocl-any-1.4-1, libstarpurm-1.4-1 (= ${binary:Version}) | libstarpu-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev, libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -53,12 +53,12 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.4-2
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.4-2
-Provides: libstarpu-any-1.4-2
+Package: libstarpu-1.4-3
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contrib-1.4-3
+Provides: libstarpu-any-1.4-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -107,12 +107,12 @@
  This package contains a hybrid CPU+GPU FFT library.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpumpi-1.4-2
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.4-2
-Provides: libstarpu-anympi-1.4-2
+Package: libstarpumpi-1.4-3
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contribmpi-1.4-3
+Provides: libstarpu-anympi-1.4-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -150,6 +150,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libstarpu-1.4-1, libstarpu-contrib-1.4-1, libstarpu-1.4-2, libstarpu-contrib-1.4-2
+Replaces: libstarpu-1.4-1, libstarpu-contrib-1.4-1, libstarpu-1.4-2, libstarpu-contrib-1.4-2
 Conflicts: starpu-contrib-examples
 Provides: starpu-any-examples
 Description: Task scheduler for heterogeneous multicore machines - exs
