=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,9 @@
 		--enable-mlr-system-blas \
 		--enable-starpurm \
 		--enable-starpurm-examples \
+		--enable-maxnodes=16 \
+		--enable-maxcpus=32 \
+		--enable-maxnumanodes=4 \
 		--enable-tcpip-master-slave \
 		--docdir=/usr/share/doc/libstarpu-dev --disable-build-doc-pdf \
 		$(CONFIGURE_OPENMP_LLVM) \
